<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.properties-realm.users-properties">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="path,relative-to,digest-realm-name,plain-text"/>
        <elem name="complex-attribute" value="users-properties"/>
        <elem name="addr-params" value="profile,host,subsystem,properties-realm"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <refs>
        <ref feature="subsystem.elytron.properties-realm"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="path"/>
        <param name="relative-to" nillable="true"/>
        <param name="plain-text" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="properties-realm" feature-id="true"/>
        <param name="digest-realm-name" nillable="true"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
    </params>
</feature-spec>